[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# AddCharR

Add chars at the end of a string till it reaches a certain length

## Declaration

Source position: strutils.pp line 156

`function AddCharR(`
`C: Char;`
`const S: string;`
`N: Integer`
`):string;`

## Arguments

`C` |  | The character to be added
`S` |  | The string to be treated
`N` |  | The minimal length the string should have

## Function result

The resulting string with length N

## Description

AddCharR adds characters (C) to the right of S till the length N is reached, and returns the resulting string. If the length of S is already equal to or larger than N, then no characters are added. The resulting string can be thought of as a left-aligned version of S, with length N .

## Errors

None

## See also

AddChar |  | Add characters to the left of a string till a certain length

Documentation generated on: Feb 26 2014